POST ForeignApp/{applicationName}/{deviceName}/{deviceIdentifier}
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/ForeignApp/{applicationName}/{deviceName}/{deviceIdentifier}
Adds a new ForeignDevice with deviceName that belongs to the application with applicationName, with an optional device-specific identifier.
| Path Part | Type | Description |
|---|---|---|
| applicationName | string | The name of the foreign application. Required |
| deviceName | string | The name of the foreign device. Required |
| deviceIdentifier | string | Unique id of device (Palm pilot device ID, version number, etc) Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ForeignDevice
| Property Name | Type | Description |
|---|---|---|
| ForeignDeviceId | int32 | Primary key |
| Name | string | Name of device |
| CreatedDate | date-time | Registered when in UTC. |
| UpdatedDate | date-time | Last updated when in UTC. |
| AssociateFullName | string | The person owning the Foreign Device |
| CreatedBy | string | The person that created the device. |
| UpdatedBy | string | The person that last updated this device. |
| DeviceIdentifier | string | Optional unique id of device (Palm pilot device ID, etc) |
| ForeignAppId | int32 | Reference to foregin application (device type) |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/ForeignApp/{applicationName}/{deviceName}/{deviceIdentifier}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ForeignDeviceId": 897,
"Name": "Google Sync",
"CreatedDate": "2004-07-16T14:34:02.0200617+02:00",
"UpdatedDate": "2005-05-12T14:34:02.0200617+02:00",
"AssociateFullName": "Elias Price",
"CreatedBy": "architecto",
"UpdatedBy": "aspernatur",
"DeviceIdentifier": "officiis",
"ForeignAppId": 981,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 875
}
}
}